@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

// table columns
app-table {
  ::ng-deep {
    .app-table-row {
      .app-table-column {
        @include setMultipleWidths(
          (16.61971831%, 16.80751174%, 22.0657277%, 14.4600939%, 11.26760563%, 14.27230047%, 4.507042254%)
        );

        @include setMultipleMinWidths(
          (163.5380282px, 165.3859155px, 217.1267606px, 142.287324px, 110.8732394px, 140.4394366px, 44.34929578px)
        );
      }
    }

    // name header left padding
    .app-table-header {
      .app-table-row {
        .app-table-column {
          &:nth-child(3) {
            @include paddingLeft(47px);
          }
        }
      }
    }

    // map column flex
    .app-table-body {
      .app-table-row {
        .app-table-column {
          &:nth-child(7) {
            @include flex(flex-start, flex-end);
          }
        }
      }
    }
  }
}

// sn N/A
.app-na {
  color: rgba($pink-swan, 0.5);
}

app-tooltip {
  display: inline-block;
  max-width: 100%;
}

// link styles
.app-link {
  &.name {
    @include robotoMedium;
    @include ellipsis;
    display: block;
    width: 100%;
  }
}

// device sn
.app-sn {
  @include robotoRegular;
  font-size: 10px;
  line-height: 13px;
  color: $suva-grey;

  span {
    color: $melanzane;
  }
}

// map icon
app-icon-map {
  @include box(18px);
  cursor: pointer;

  &:hover {
    opacity: 0.8;
  }
}

app-side-modal-device-info,
app-side-modal-keyholder-info {
  position: fixed;
  z-index: 5000;
}

@media (max-width: 767px) {
  // table
  app-table {
    ::ng-deep {
      .app-table-row {
        .app-table-column {
          // set multiple column widths
          @include setMultipleWidths((34%, 85%, 67%, 33%, 33%, 33%, 15%));

          @include setMultipleMinWidths((10px, 10px, 10px, 10px, 10px, 10px, 10px));

          @include setMultipleOrder((4, 1, 7, 3, 6, 5, 2));
        }
      }
    }
  }
  .column-label {
    color: #939393;
    text-transform: uppercase;
    font-size: 11px;
  }
}

@media (min-width: 768px) and (max-width: 1300px) {
  // table
  app-table {
    ::ng-deep {
      .app-table-row {
        .app-table-column {
          @include setMultipleMinWidths((80px, 80px, 110px, 70px, 50px, 70px, 20px));
        }
      }
    }
  }
}
